Class | RI::RiCache
In: | rdoc/ri/ri_cache.rb
Parent: | Object

We represent everything know about all ‘ri’ files accessible to this program

### Methods

new

### Attributes

toplevel | [R] |

### Public Class methods

new(dirs)

[Source]

    # File rdoc/ri/ri_cache.rb, line 176
        def initialize(dirs)
          # At the top level we have a dummy module holding the
          # overall namespace
          @toplevel = TopLevelEntry.new('', '::', nil)

          dirs.each do |dir|
            @toplevel.load_from(dir)
          end
        end

[Validate]